# Struct(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``Struct`(bpy_struct)

  RNA structure definition

  `base`

    Struct definition this is derived from

    Type: | `Struct`, (readonly)

  `description`

    Description of the Struct’s purpose

    Type: | string, default “”, (readonly, never None)

  `functions`

    Type: | `bpy_prop_collection` of `Function`, (readonly)

  `identifier`

    Unique name used in the code and scripting

    Type: | string, default “”, (readonly, never None)

  `name`

    Human readable name

    Type: | string, default “”, (readonly, never None)

  `name_property`

    Property that gives the name of the struct

    Type: | `StringProperty`, (readonly)

  `nested`

    Struct in which this struct is always nested, and to which it logically belongs

    Type: | `Struct`, (readonly)

  `properties`

    Properties in the struct

    Type: | `bpy_prop_collection` of `Property`, (readonly)

  `property_tags`

    Tags that properties can use to influence behavior

    Type: | `bpy_prop_collection` of `EnumPropertyItem`, (readonly)

  `translation_context`

    Translation context of the struct’s name

    Type: | string, default “”, (readonly, never None)

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlenderRNA.structs` `CollectionProperty.fixed_type` `NodeSocketInterface.register_properties` `PointerProperty.fixed_type` | `Property.srna` `Struct.base` `Struct.nested`